sailpoint.object

## Interface EmailOptions

All Superinterfaces:
  java.io.Serializable

    public interface EmailOptions
    extends java.io.Serializable

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addVariables(java.util.Map<java.lang.String,java.lang.Object> newVariables)`
`java.lang.String` `getFileName()`
`java.lang.String` `getString(java.lang.String name)`
`java.lang.String` `getTo()`
`java.lang.Object` `getVariable(java.lang.String name)`
`java.util.Map<java.lang.String,java.lang.Object>` `getVariables()`
`boolean` `isNoRetry()`
`boolean` `isSendImmediate()`
`boolean` `sendImmediate()`
`void` `setFileName(java.lang.String fileName)`
`void` `setNoRetry(boolean b)`
`void` `setSendImmediate(boolean b)`
`void` `setTo(java.util.List<java.lang.String> toAddresses)`
`void` `setTo(java.lang.String to)`
`void` `setVariable(java.lang.String name, java.lang.Object value)`
`void` `setVariables(java.util.Map<java.lang.String,java.lang.Object> vars)`

### Method Detail

#### setTo

    void setTo(java.util.List<java.lang.String> toAddresses)

#### setTo

    void setTo(java.lang.String to)

#### getTo

    java.lang.String getTo()

#### setVariables

    void setVariables(java.util.Map<java.lang.String,java.lang.Object> vars)

#### getVariables

    java.util.Map<java.lang.String,java.lang.Object> getVariables()

#### setNoRetry

    void setNoRetry(boolean b)

#### isNoRetry

    boolean isNoRetry()

#### setSendImmediate

    void setSendImmediate(boolean b)

#### isSendImmediate

    boolean isSendImmediate()

#### sendImmediate

    boolean sendImmediate()

#### addVariables

    void addVariables(java.util.Map<java.lang.String,java.lang.Object> newVariables)

#### getFileName

    java.lang.String getFileName()

#### setFileName

    void setFileName(java.lang.String fileName)

#### setVariable

    void setVariable(java.lang.String name,
                     java.lang.Object value)

#### getVariable

    java.lang.Object getVariable(java.lang.String name)

#### getString

    java.lang.String getString(java.lang.String name)